summaryrefslogtreecommitdiffstats
path: root/src/ob-unpacksource.sh
diff options
context:
space:
mode:
authorPatrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 15:32:52 (EDT)
committer Patrick McDermott <patrick.mcdermott@libiquity.com>2019-03-13 15:32:52 (EDT)
commit419a457a3dabd3f4030f86aae8e082b492ec0084 (patch)
treeebba2f50029ebc7d39aa39dd2f6e51eb5975bdbf /src/ob-unpacksource.sh
parent548d1b7add98f011d6204ebd0b4493350a12518a (diff)
ob-*: Replace exit with return
Diffstat (limited to 'src/ob-unpacksource.sh')
-rw-r--r--src/ob-unpacksource.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/src/ob-unpacksource.sh b/src/ob-unpacksource.sh
index e90c6c0..fab5659 100644
--- a/src/ob-unpacksource.sh
+++ b/src/ob-unpacksource.sh
@@ -135,8 +135,8 @@ main()
{
ob_set_text_domain 'opkbuild'
- ob_init_package '..' || exit 1
- ob_parse_package_metadata -c '.opkbuild.cache' || exit 1
+ ob_init_package '..' || return 1
+ ob_parse_package_metadata -c '.opkbuild.cache' || return 1
if [ -d 'src' ]; then
ob_info "$(ob_get_msg 'already_unpacked')"